org.activiti.engine.runtime

## Interface ExecutionQuery

- All Superinterfaces:
    Query<ExecutionQuery,Execution>

      public interface ExecutionQuery
      extends Query<ExecutionQuery,Execution>

  Allows programmatic querying of `Execution`s.
  Author:
    Joram Barrez, Frederik Heremans

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutionQuery` | `activityId(String activityId)` Only select executions which contain an activity with the given id.
    `ExecutionQuery` | `executionId(String executionId)` Only select executions with the given id.
    `ExecutionQuery` | `executionTenantId(String tenantId)` Only select process instances that have the given tenant id.
    `ExecutionQuery` | `executionTenantIdLike(String tenantIdLike)` Only select process instances with a tenant id like the given one.
    `ExecutionQuery` | `executionWithoutTenantId()` Only select process instances that do not have a tenant id.
    `ExecutionQuery` | `locale(String locale)` Localize execution name and description to specified locale.
    `ExecutionQuery` | `messageEventSubscriptionName(String messageName)` Only select executions which have a message event subscription for the given messageName.
    `ExecutionQuery` | `orderByProcessDefinitionId()` Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ExecutionQuery` | `orderByProcessDefinitionKey()` Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ExecutionQuery` | `orderByProcessInstanceId()` Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ExecutionQuery` | `orderByTenantId()` Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ExecutionQuery` | `parentId(String parentId)` Only select executions which are a direct child-execution of the execution with the given id.
    `ExecutionQuery` | `processDefinitionCategory(String processDefinitionCategory)` Only select executions which have the given process definition category.
    `ExecutionQuery` | `processDefinitionId(String processDefinitionId)` Only select executions which have the given process definition id.
    `ExecutionQuery` | `processDefinitionKey(String processDefinitionKey)` Only select executions which have the given process definition key.
    `ExecutionQuery` | `processDefinitionKeys(Set<String> processDefinitionKeys)` Only select executions which have process definitions with the given keys.
    `ExecutionQuery` | `processDefinitionName(String processDefinitionName)` Only select executions which have the given process definition name.
    `ExecutionQuery` | `processDefinitionVersion(Integer processDefinitionVersion)` Only select executions which have the given process definition version.
    `ExecutionQuery` | `processInstanceBusinessKey(String processInstanceBusinessKey)` Only executions with the given business key.
    `ExecutionQuery` | `processInstanceBusinessKey(String processInstanceBusinessKey, boolean includeChildExecutions)` Only executions with the given business key.
    `ExecutionQuery` | `processInstanceId(String processInstanceId)` Only select executions which have the given process instance id.
    `ExecutionQuery` | `processVariableValueEquals(Object variableValue)` Only select executions which are part of a process that have at least one variable with the given value.
    `ExecutionQuery` | `processVariableValueEquals(String variableName, Object variableValue)` Only select executions which are part of a process that have a variable with the given name set to the given value.
    `ExecutionQuery` | `processVariableValueEqualsIgnoreCase(String name, String value)` Only select executions which are part of a process that have a local string variable with the given value, case insensitive.
    `ExecutionQuery` | `processVariableValueLike(String name, String value)` Only select executions which are part of a process that have at least one variable like the given value.
    `ExecutionQuery` | `processVariableValueLikeIgnoreCase(String name, String value)` Only select executions which are part of a process that have at least one variable like the given value (case insensitive).
    `ExecutionQuery` | `processVariableValueNotEquals(String variableName, Object variableValue)` Only select executions which are part of a process that have a variable with the given name, but with a different value than the passed value.
    `ExecutionQuery` | `processVariableValueNotEqualsIgnoreCase(String name, String value)` Only select executions which are part of a process that have a local string variable which is not the given value, case insensitive.
    `ExecutionQuery` | `signalEventSubscription(String signalName)` Deprecated.
    `ExecutionQuery` | `signalEventSubscriptionName(String signalName)` Only select executions which have a signal event subscription for the given signal name.
    `ExecutionQuery` | `variableValueEquals(Object value)` Only select executions which have at least one local variable with the given value.
    `ExecutionQuery` | `variableValueEquals(String name, Object value)` Only select executions which have a local variable with the given value.
    `ExecutionQuery` | `variableValueEqualsIgnoreCase(String name, String value)` Only select executions which have a local string variable with the given value, case insensitive.
    `ExecutionQuery` | `variableValueGreaterThan(String name, Object value)` Only select executions which have a local variable value greater than the passed value.
    `ExecutionQuery` | `variableValueGreaterThanOrEqual(String name, Object value)` Only select executions which have a local variable value greater than or equal to the passed value.
    `ExecutionQuery` | `variableValueLessThan(String name, Object value)` Only select executions which have a local variable value less than the passed value.
    `ExecutionQuery` | `variableValueLessThanOrEqual(String name, Object value)` Only select executions which have a local variable value less than or equal to the passed value.
    `ExecutionQuery` | `variableValueLike(String name, String value)` Only select executions which have a local variable value like the given value.
    `ExecutionQuery` | `variableValueLikeIgnoreCase(String name, String value)` Only select executions which have a local variable value like the given value (case insensitive).
    `ExecutionQuery` | `variableValueNotEquals(String name, Object value)` Only select executions which have a local variable with the given name, but with a different value than the passed value.
    `ExecutionQuery` | `variableValueNotEqualsIgnoreCase(String name, String value)` Only select executions which have a local string variable which is not the given value, case insensitive.
    `ExecutionQuery` | `withLocalizationFallback()` Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### processDefinitionKey

          ExecutionQuery processDefinitionKey(String processDefinitionKey)

      Only select executions which have the given process definition key.

    - #### processDefinitionKeys

          ExecutionQuery processDefinitionKeys(Set<String> processDefinitionKeys)

      Only select executions which have process definitions with the given keys.

    - #### processDefinitionId

          ExecutionQuery processDefinitionId(String processDefinitionId)

      Only select executions which have the given process definition id.

    - #### processDefinitionCategory

          ExecutionQuery processDefinitionCategory(String processDefinitionCategory)

      Only select executions which have the given process definition category.

    - #### processDefinitionName

          ExecutionQuery processDefinitionName(String processDefinitionName)

      Only select executions which have the given process definition name.

    - #### processDefinitionVersion

          ExecutionQuery processDefinitionVersion(Integer processDefinitionVersion)

      Only select executions which have the given process definition version. Particulary useful when used in combination with `processDefinitionKey(String)`

    - #### processInstanceId

          ExecutionQuery processInstanceId(String processInstanceId)

      Only select executions which have the given process instance id.

    - #### processInstanceBusinessKey

          ExecutionQuery processInstanceBusinessKey(String processInstanceBusinessKey)

      Only executions with the given business key. Note that only process instances have a business key and as such, child executions will NOT be returned. If you want to return child executions of the process instance with the given business key too, use the `processInstanceBusinessKey(String, boolean)` method with a boolean value of true instead.

    - #### processInstanceBusinessKey

          ExecutionQuery processInstanceBusinessKey(String processInstanceBusinessKey,
                                                    boolean includeChildExecutions)

      Only executions with the given business key. Similar to `processInstanceBusinessKey(String)`, but allows to choose whether child executions are returned or not.

    - #### executionId

          ExecutionQuery executionId(String executionId)

      Only select executions with the given id.

    - #### activityId

          ExecutionQuery activityId(String activityId)

      Only select executions which contain an activity with the given id.

    - #### parentId

          ExecutionQuery parentId(String parentId)

      Only select executions which are a direct child-execution of the execution with the given id.

    - #### executionTenantId

          ExecutionQuery executionTenantId(String tenantId)

      Only select process instances that have the given tenant id.

    - #### executionTenantIdLike

          ExecutionQuery executionTenantIdLike(String tenantIdLike)

      Only select process instances with a tenant id like the given one.

    - #### executionWithoutTenantId

          ExecutionQuery executionWithoutTenantId()

      Only select process instances that do not have a tenant id.

    - #### variableValueEquals

          ExecutionQuery variableValueEquals(String name,
                                             Object value)

      Only select executions which have a local variable with the given value. The type of variable is determined based on the value, using types configured in `ProcessEngineConfiguration#getVariableTypes()`. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - name of the variable, cannot be null.

    - #### variableValueEqualsIgnoreCase

          ExecutionQuery variableValueEqualsIgnoreCase(String name,
                                                       String value)

      Only select executions which have a local string variable with the given value, case insensitive.

      This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

      Parameters:
        `name` - name of the variable, cannot be null.
        `value` - value of the variable, cannot be null.

    - #### variableValueEquals

          ExecutionQuery variableValueEquals(Object value)

      Only select executions which have at least one local variable with the given value. The type of variable is determined based on the value, using types configured in `ProcessEngineConfiguration#getVariableTypes()`. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### variableValueNotEquals

          ExecutionQuery variableValueNotEquals(String name,
                                                Object value)

      Only select executions which have a local variable with the given name, but with a different value than the passed value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - name of the variable, cannot be null.

    - #### variableValueNotEqualsIgnoreCase

          ExecutionQuery variableValueNotEqualsIgnoreCase(String name,
                                                          String value)

      Only select executions which have a local string variable which is not the given value, case insensitive.

      This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

      Parameters:
        `name` - name of the variable, cannot be null.
        `value` - value of the variable, cannot be null.

    - #### variableValueGreaterThan

          ExecutionQuery variableValueGreaterThan(String name,
                                                  Object value)

      Only select executions which have a local variable value greater than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null.

    - #### variableValueGreaterThanOrEqual

          ExecutionQuery variableValueGreaterThanOrEqual(String name,
                                                         Object value)

      Only select executions which have a local variable value greater than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null.

    - #### variableValueLessThan

          ExecutionQuery variableValueLessThan(String name,
                                               Object value)

      Only select executions which have a local variable value less than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null.

    - #### variableValueLessThanOrEqual

          ExecutionQuery variableValueLessThanOrEqual(String name,
                                                      Object value)

      Only select executions which have a local variable value less than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null.

    - #### variableValueLike

          ExecutionQuery variableValueLike(String name,
                                           String value)

      Only select executions which have a local variable value like the given value. This be used on string variables only.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null. The string can include the wildcard character '%' to express like-strategy: starts with (string%), ends with (%string) or contains (%string%).

    - #### variableValueLikeIgnoreCase

          ExecutionQuery variableValueLikeIgnoreCase(String name,
                                                     String value)

      Only select executions which have a local variable value like the given value (case insensitive). This be used on string variables only.
      Parameters:
        `name` - variable name, cannot be null.
        `value` - variable value, cannot be null. The string can include the wildcard character '%' to express like-strategy: starts with (string%), ends with (%string) or contains (%string%).

    - #### processVariableValueEquals

          ExecutionQuery processVariableValueEquals(String variableName,
                                                    Object variableValue)

      Only select executions which are part of a process that have a variable with the given name set to the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### processVariableValueEquals

          ExecutionQuery processVariableValueEquals(Object variableValue)

      Only select executions which are part of a process that have at least one variable with the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### processVariableValueNotEquals

          ExecutionQuery processVariableValueNotEquals(String variableName,
                                                       Object variableValue)

      Only select executions which are part of a process that have a variable with the given name, but with a different value than the passed value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### processVariableValueEqualsIgnoreCase

          ExecutionQuery processVariableValueEqualsIgnoreCase(String name,
                                                              String value)

      Only select executions which are part of a process that have a local string variable with the given value, case insensitive.

      This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

      Parameters:
        `name` - name of the variable, cannot be null.
        `value` - value of the variable, cannot be null.

    - #### processVariableValueNotEqualsIgnoreCase

          ExecutionQuery processVariableValueNotEqualsIgnoreCase(String name,
                                                                 String value)

      Only select executions which are part of a process that have a local string variable which is not the given value, case insensitive.

      This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

      Parameters:
        `name` - name of the variable, cannot be null.
        `value` - value of the variable, cannot be null.

    - #### processVariableValueLike

          ExecutionQuery processVariableValueLike(String name,
                                                  String value)

      Only select executions which are part of a process that have at least one variable like the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### processVariableValueLikeIgnoreCase

          ExecutionQuery processVariableValueLikeIgnoreCase(String name,
                                                            String value)

      Only select executions which are part of a process that have at least one variable like the given value (case insensitive). Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

    - #### signalEventSubscription

          @Deprecated
          ExecutionQuery signalEventSubscription(String signalName)

      Deprecated.
      See Also:
        `signalEventSubscriptionName(String)`

    - #### signalEventSubscriptionName

          ExecutionQuery signalEventSubscriptionName(String signalName)

      Only select executions which have a signal event subscription for the given signal name. (The signalName is specified using the 'name' attribute of the signal element in the BPMN 2.0 XML.)
      Parameters:
        `signalName` - the name of the signal the execution has subscribed to

    - #### messageEventSubscriptionName

          ExecutionQuery messageEventSubscriptionName(String messageName)

      Only select executions which have a message event subscription for the given messageName. (The messageName is specified using the 'name' attribute of the message element in the BPMN 2.0 XML.)
      Parameters:
        `messageName` - the name of the message the execution has subscribed to

    - #### locale

          ExecutionQuery locale(String locale)

      Localize execution name and description to specified locale.

    - #### withLocalizationFallback

          ExecutionQuery withLocalizationFallback()

      Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

    - #### orderByProcessInstanceId

          ExecutionQuery orderByProcessInstanceId()

      Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionKey

          ExecutionQuery orderByProcessDefinitionKey()

      Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionId

          ExecutionQuery orderByProcessDefinitionId()

      Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByTenantId

          ExecutionQuery orderByTenantId()

      Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.